IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[syn_obtenerArchivos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[syn_obtenerArchivos]
GO
CREATE PROCEDURE [syn_obtenerArchivos]
	@p_idObjeto INT,
	@p_idUsuario INT
AS
BEGIN

	select 
		id,
		archivo, 
		('\archivos\' + tabla + '\' + CONVERT(varchar(10),idObjeto) + '\' + archivo) as ruta 
	from gen_archivo
	where 
		idObjeto = @p_idObjeto
		and active = 1

END